summaryrefslogtreecommitdiff
path: root/tests/mv/reply-no
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2007-09-06 23:05:16 +0200
committerJim Meyering <jim@meyering.net>2007-09-15 08:40:38 +0200
commit33173e867aa45b7f88551551da51e36875582813 (patch)
tree8bbe0a98f0b3cbd0977e35b2b0d4f4cc432dc288 /tests/mv/reply-no
parentdf0beae1eb1318869d51a064aec8fdd401877cbf (diff)
downloadcoreutils-33173e867aa45b7f88551551da51e36875582813.tar.xz
Convert tests/mv, too.
* tests/other-fs-tmpdir: Before, all callers would exit 77 upon failure to find the required dir. Now, exit 77 in this script so callers don't have to. Adjust callers.
Diffstat (limited to 'tests/mv/reply-no')
-rwxr-xr-xtests/mv/reply-no21
1 files changed, 4 insertions, 17 deletions
diff --git a/tests/mv/reply-no b/tests/mv/reply-no
index 37541c1c0..baa2f3e5d 100755
--- a/tests/mv/reply-no
+++ b/tests/mv/reply-no
@@ -1,7 +1,7 @@
#!/bin/sh
# Ensure that `mv --reply=no f1 f2' works.
-# Copyright (C) 2005, 2006 Free Software Foundation, Inc.
+# Copyright (C) 2005-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -22,21 +22,9 @@ if test "$VERBOSE" = yes; then
fi
. $srcdir/../lang-default
+. $srcdir/../test-lib.sh
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
-touch a b || framework_failure=1
-
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
+touch a b || framework_failure
fail=0
@@ -50,7 +38,6 @@ cat <<EOF > exp_err
mv: the --reply option is deprecated; use -i or -f instead
EOF
-cmp out exp_err || fail=1
-test $fail = 1 && diff out exp_err 2> /dev/null
+compare out exp_err || fail=1
(exit $fail); exit $fail